<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/individual.php");
  $individual=new individual;
  include_once($ruta."class/individualcredito.php");
  $individualcredito=new individualcredito;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/credito.php");
  $credito=new credito;

  include_once($ruta."class/seguimiento.php");
  $seguimiento=new seguimiento;
  include_once($ruta."funciones/funciones.php");
  session_start(); 
   $fechaHoy=date('Y-m-d');
   $dom=$dominio->mostrarUltimo("tipo='FECHADIA' and codigo=1");
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Lista de socios con crédito";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1079;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row " style="background: #7AAD4E; text-align: center; color:white; font-size: 25px; border-radius: 5px;">
                    <?php echo $hd_titulo; ?>
              </div>
            </div>
          </div>
    
          <div class="container">
            <div class="section">
              <div class="row" >
              <div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                        
                <table id="example2" class="display" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>Socio(a)</th> 
                       <th>Fecha</th> 
                      <th>Hora reunión</th>
                      <th>Lugar</th>
                      <th>Asesor</th>
                      <th>Acciones</th>
                    </tr>
                  </thead>
                  <tfoot>
                    <tr>
                      <th>Cod</th>
                      <th>Socio(a)</th>
                      <th>Fecha</th> 
                      <th>Hora reunión</th>
                      <th>Lugar</th>
                      <th>Asesor</th>
                      <th>Acciones</th>
                    </tr>
                  </tfoot>
                  <tbody>
                    <?php
                    foreach($individualcredito->mostrarTodo("estado=1") as $f)
                    {
                      $dgr=$individual->muestra($f['idindividual']);
                      $tba=$tipobanca->muestra($f['idtipobanca']);
                      $per=$persona->muestra($dgr['idpersona']);

                      switch ($f['estado']) {
                        case '0':
                          $estilo="background-color: #FDEDEC;";
                        break;
                        case '1':
                          $estilo="background-color: #EAFAF1;";
                        break;
                      }
                      $eje=$vadmejecutivo->muestra($dgr['idadmejecutivo']);
                      $lblcode=ecUrl($f['idindividualcredito']);
                      $creD=$credito->mostrarPrimero("idgrupocredito=".$f['idindividualcredito']." and tipocredito=1");
                      $idcreditolbl=ecUrl($creD['idcredito']);
                      //AUMENTO DE FECHA
                     // $fechaAlerta = strtotime ( '+ 5 days' , strtotime ($f['fechaproximo']));
                     // $fechaAlerta=date("Y-m-d",strtotime($fechaHoy."+ 3 days"));
                     if ($fechaHoy==$f['fechaproximo']) {
                       $estilo="background-color: #7AAD4E;";
                     }else{
                      if ($fechaHoy>$f['fechaproximo']) 
                      {
                        $estilo="background-color: #FF3838;";
                      }
                     }


                     //CONTASEGUIMIENTO
                     $cantidadseg="";
                     $flagactivo=0;
                     if ($fechaHoy>=$f['fechaproximo']) 
                     {                      
                       foreach($seguimiento->mostrarTodo("idcredito=".$creD['idcredito']." and fecha>='".$f['fechaproximo']."'") as $seg)
                       {
                        $cantidadseg++;

                       }
                       $flagactivo=1;
                     }
                       
                      
                    ?>
                    <tr style="<?php echo $estilo ?>">
                      <td><?php echo $f['idindividualcredito'] ?></td>
                      <td><?php echo $per['nombre'].' '.$per['paterno'].' '.$per['materno'] ?></td>
                      <td><?php echo $f['fechaproximo'] ?></td>
                      <td><?php echo $dgr['horareunion'] ?></td>
                      <td><?php echo $dgr['lugarreunion'] ?></td>
                      <td><?php echo $eje['nombre'] ?></td>
                      <td>
                        <input onclick="guardarimpresion('<?php echo $f['idindividualcredito'] ?>');" name="<?php echo $f['idindividualcredito'] ?>" value="<?php echo $f['idindividualcredito'] ?>" type="checkbox" <?php if ($f['impresion']==1) echo 'checked';?> id="<?php echo $f['idindividualcredito'] ?>" />
                         <label for="<?php echo $f['idindividualcredito'] ?>">
                         </label>
                        <a href="cuotas/?lblcode=<?php echo $lblcode ?>" class="btn-jh waves-effect darken-4 orange"><i class="fa fa-money"></i> COBRAR CUOTAS</a>
                        <?php 
                            if ($cantidadseg>0) 
                            {
                              ?>
                              <button class="btn-jh waves-effect darken-4 white" style="color:red;" onclick="cargar_seguimiento('<?php echo $creD['idcredito'] ?>');"><i class="fa fa-comment-o"></i> <?php echo $cantidadseg ?></button>
                              <?php 
                            }elseif ($flagactivo==1) 
                            {
                               ?>
                              <button class="btn-jh waves-effect darken-4 red" style="color:white;" onclick="cargar_seguimiento('<?php echo $creD['idcredito'] ?>');"><i class="fa fa-comment-o"></i> <?php echo $cantidadseg ?></button>
                              <?php 
                            }
                         ?>

                        <?php
                          if ($tba['tipoplanilla']==0) {
                            ?>
                            <!--  <a target="_blank" href="planilla/v1.php?lblcode=<?php //echo $lblcode ?>" class="btn-jh waves-effect darken-4 cyan"><i class="fa fa-print"></i> Imprimir planilla A</a>-->
                            <?php
                          }else{
                            ?>
                               <a target="_blank" href="planilla/v_individual.php?lblcode=<?php echo $lblcode ?>" class="btn-jh waves-effect darken-4 cyan"><i class="fa fa-print"></i> Boleta de pago</a>
                               <a target="_blank" href="<?php echo $ruta ?>individual/credito/otorgar/planpagos/?lblcode=<?php echo $idcreditolbl ?>" class="btn-jh waves-effect darken-4 green"><i class="fa fa-print"></i> PLAN DE PAGO</a>
                               <?php
                               switch ($creD['estadofechacontrol']) {
                                 case '0':
                                   $colorestado='cyan';
                                   break;
                                 
                                 case '1':
                                  $colorestado='red';
                                   break;
                               }
                                ?>
                               <a  href="#modal1" onclick="cargarfecha('<?php echo $creD['idcredito'] ?>','<?php echo $creD['controlfecha'] ?>');" class="modal-trigger btn-jh <?php echo $colorestado ?> darken-4"><i class="fa fa-cogs"></i> -> <i class="fa fa-calendar"></i></a>
                            <?php
                          }
                        ?>
                      </td>
                    </tr>
                    <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
              </div>
            </div>     
            </div> 
        <div class="container">
            <div class="section">           
                <div id="modal2" class="modal">
                  <div class="modal-content">                   
                        <div class="col s12 m12 l12"  style="background-color: white;">
                          <div class="table-responsive">  
                                                                       
                                <div id="result2"></div>
                           </div>
                           <!-- <div class="titulo">Lista de item ingresado a la fecha</div> -->
                            
                        </div> 
                  </div>
                  <div class="modal-footer">
                    <a id="btnLimpiar" onclick="cerrar();" class="btn waves-effect waves-light red"><i class="fa fa-clear"></i> CERRAR</a>
                  </div>
                </div>
            </div>
          </div>         
        </section>
      </div>
    </div>
  
  <div class="container">
            <div class="section">
               <div id="modal1" class="modal">
              <div class="modal-content">
                <form class="col s12" id="idformFecha" action="return false" onsubmit="return false" method="POST">                 
                  <fieldset class="formulario">
                   
                  <table class="cssdato">
                    <legend>REALIZAR CAMBIO DE FECHA</legend>
                    <div class="row">
                       <input type="text" name="idcredito" id="idcredito" readonly>
                      <div class="input-field col s12 m12 l6" style="text-align: right;">
                          <input id="idfechadia" name="idfechadia" type="date" class="validate">
                          <label for="idfechadia">Cambio de fecha dia</label>
                      </div>
                       <div class="col s12 m6 l6" align=""  style="font-weight:bold;">
                                <b>Tipo de cambio de estado:</b><br>
                                <input class="with-gap" name="estadofechacontrol" checked value="0" type="radio" id="idactual" />
                                <label for="idactual">Fecha Actual</label>
                                            &nbsp;&nbsp;&nbsp;&nbsp;
                                <input class="with-gap" name="estadofechacontrol" value="1" type="radio" id="idcambiado" />
                                <label for="idcambiado">Cambio de fecha</label>
                          </div>
                      <div class="input-field col s12 m12 l12">
                          <button class="btn-jh waves-effect darken-4 cyan" onclick="actualizarfechadia();">Camdiar fecha</button>
                      </div>
                    </div>
                  </fieldset>
                </form>
              </div>
            </div>
        </div>
        </div>

    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 2, "asc" ]],
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
         
    });
    //0=fecha actual dia
    //1=fecha cambiado
    function actualizarfechadia(tipocambio)
    {
       var estadofechacontrol=$("input[name='estadofechacontrol']:checked").val(); 
       var fechadia=$("#idfechadia").val(); 
       var idcredito=$("#idcredito").val(); 
       if (estadofechacontrol==0) 
       {
        var textof='FECHA ACTUAL';
       }else{
        var textof='FECHA MODIFICADO';
       }  
        swal({
        title: "Cambio de fecha realizado "+fechadia,
        text: "Cambio de estado a "+textof,
        type: "warning",
        //showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "ok",
        closeOnConfirm: false
      }, function () {      
        $.ajax({
          url: "cambiofechadia.php",
          type: "POST",
          data: "idcredito="+idcredito+"&idfechadia="+fechadia+"&idestadofechacontrol="+estadofechacontrol,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      });
    }
    function cargarfecha(idcred,fechacontrol)
    {
      $("#idcredito").val(idcred);
      $("#idfechadia").val(fechacontrol);
    }
    function cambiaestado(id,estado){
      swal({
        title: "Estas Seguro?",
        text: "Cambiaras el estado al ejecutivo",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#28e29e",
        confirmButtonText: "Estoy Seguro",
        closeOnConfirm: false
      }, function () {      
        $.ajax({
          url: "cambiaestado.php",
          type: "POST",
          data: "id="+id+"&estado="+estado,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }); 
    }
function guardarimpresion(id)
{
//alert(id); 
  if($("#"+id).is(':checked')) 
  {  
      //alert("Está activado");
      var impresion= 1;  
  }else{  
      var impresion= 0;   
  }
  $.ajax({
      url: "impresion.php",
      type: "POST",
      data: "idindividualcredito="+id+"&impres="+impresion,
      success: function(resp){
        console.log(resp);
        $('#idresultado').html(resp);
      }
    });  
   
}
function cargar_seguimiento(id)
{ 
      rutaenvio=2;
      //alert(id);
    $('#modal2').openModal();    
      //alert(idhab+' - '+idcur);
        
          $.ajax({
              url: "mostrar_seguimiento.php",
              method: "POST",
              data: "idcredito="+id+"&rutaenvio="+rutaenvio,
              success: function(data){
                  $("#result2").html(data);
                  //alert(data);
              }
            });
        
    }
function cerrar()
{
  $('#modal2').closeModal();
}
    </script>
</body>

</html>